Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.transport.vmpipe
Class VmPipeAddress

    java.lang.Object
      java.net.SocketAddress
          org.apache.mina.transport.vmpipe.VmPipeAddress

All Implemented Interfaces:
  Serializable, Comparable<VmPipeAddress>

    public class VmPipeAddress

extends SocketAddress
implements Comparable<VmPipeAddress>

A `SocketAddress` which represents in-VM pipe port number.

Version:
  $Rev: 587373 $, $Date: 2007-10-23 04:54:05 +0200 (Tue, 23 Oct 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)
See Also:
  Serialized Form

Constructor Summary
`VmPipeAddress(int port)` Creates a new instance with the specifid port number.

Method Summary
`int` | `compareTo(VmPipeAddress o)`
`boolean` | `equals(Object o)`
`int` | `getPort()` Returns the port number.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VmPipeAddress

    public VmPipeAddress(int port)

  Creates a new instance with the specifid port number.

Method Detail

### getPort

    public int getPort()

  Returns the port number.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(VmPipeAddress o)

  Specified by:
    `compareTo` in interface `Comparable<VmPipeAddress>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.